<?php
function minigolf_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'minigolf_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'mini-golf' ),
		)
	);
	


	/*=========================================
	Slider Section
	=========================================*/
	$wp_customize->add_section(
		'slider_setting', array(
			'title' => esc_html__( 'Slider Section', 'mini-golf' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 1500*800','mini-golf'),
			'priority' => 1,
			'panel' => 'minigolf_frontpage_sections',
		)
	);


	$wp_customize->add_setting('minigolf_slider_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new minigolf_Tab_Control($wp_customize, 'minigolf_slider_tabs', array(
	   'section' => 'slider_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'mini-golf'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'slider_section_subheading',
            	'slider1',
            	'slider2',
            	'slider3',
            	'slider4',
            	'slider5',
            	'slider6',
				'slider_btntext1',
				'slider_btnlink1',
				'slider_btntext2',
				'slider_btnlink2'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'mini-golf'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
				'slider_subheadingcolor',
                'slider_titlecolor',
                'slider_descriptioncolor',
                'slider_btntxt1color',
				'slider_btntxt1bgcolor',
				'slider_btntxthrvcolor',
				'slider_btntxt2color',
				'slider_btn2txthrvcolor'

            ),
     	)
	    
    	),
	))); 


	

	// General Tab

	// slidersectionsubheading
	$slidersectionsubheading = esc_html__('Est. 1923', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_section_subheading',
    	array(
			'default' => $slidersectionsubheading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_section_subheading',
		array(
		    'label'   		=> __('Est. Year','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// Slider 1
	$wp_customize->add_setting( 
    	'slider1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider1',
		array(
		    'label'   		=> __('Slider 1','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		



	// Slider 2
	$wp_customize->add_setting(
    	'slider2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'slider2',
		array(
		    'label'   		=> __('Slider 2','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 3
	$wp_customize->add_setting(
    	'slider3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'slider3',
		array(
		    'label'   		=> __('Slider 3','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 4
	$wp_customize->add_setting(
    	'slider4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'slider4',
		array(
		    'label'   		=> __('Slider 4','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// Slider 5
	$wp_customize->add_setting(
    	'slider5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider5',
		array(
		    'label'   		=> __('Slider 5','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider 6
	$wp_customize->add_setting(
    	'slider6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider6',
		array(
		    'label'   		=> __('Slider 6','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntext1
	$sliderbtntext1 = esc_html__('Learn More', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_btntext1',
    	array(
			'default' => $sliderbtntext1,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntext1',
		array(
		    'label'   		=> __('Button 1 Text','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// slider btnlink1
	$sliderbtnlink1 = esc_html__('#', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_btnlink1',
    	array(
			'default' => $sliderbtnlink1,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnlink1',
		array(
		    'label'   		=> __('Button 1 Link','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntext2
	$sliderbtntext2 = esc_html__('See All Services', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_btntext2',
    	array(
			'default' => $sliderbtntext2,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntext2',
		array(
		    'label'   		=> __('Button 2 Text','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// slider btnlink2
	$sliderbtnlink2 = esc_html__('#', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_btnlink2',
    	array(
			'default' => $sliderbtnlink2,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnlink2',
		array(
		    'label'   		=> __('Button 2 Link','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);



	// Style setting

	// slider subheading Color
	$slidersubheadingcolor = esc_html__('#d4af37', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_subheadingcolor',
    	array(
			'default' => $slidersubheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_subheadingcolor',
		array(
		    'label'   		=> __('Est. Year Color','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider title Color
	$slidertitlecolor = esc_html__('#fff', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_titlecolor',
    	array(
			'default' => $slidertitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_titlecolor',
		array(
		    'label'   		=> __('Title Color','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// slider description Color
	$sliderdescriptioncolor = esc_html__('#fff', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_descriptioncolor',
    	array(
			'default' => $sliderdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt1 Color
	$sliderbtntxt1color = esc_html__('#07332e', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_btntxt1color',
    	array(
			'default' => $sliderbtntxt1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1color',
		array(
		    'label'   		=> __('Button 1 Text Color','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt1bg Color
	$sliderbtntxt1bgcolor = esc_html__('#d4af37', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_btntxt1bgcolor',
    	array(
			'default' => $sliderbtntxt1bgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1bgcolor',
		array(
		    'label'   		=> __('Button 1 BG Color','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxthrv Color
	$sliderbtntxthrvcolor = esc_html__('#fff', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_btntxthrvcolor',
    	array(
			'default' => $sliderbtntxthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxthrvcolor',
		array(
		    'label'   		=> __('Button 2 Text Hover Color','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt2 Color
	$sliderbtntxt2color = esc_html__('#fff', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_btntxt2color',
    	array(
			'default' => $sliderbtntxt2color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt2color',
		array(
		    'label'   		=> __('Button 2 Text Color','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btn2txthrv Color
	$sliderbtn2txthrvcolor = esc_html__('#c8a96a', 'mini-golf' );
	$wp_customize->add_setting(
    	'slider_btn2txthrvcolor',
    	array(
			'default' => $sliderbtn2txthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btn2txthrvcolor',
		array(
		    'label'   		=> __('Button 2 Text Hover Color','mini-golf'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	


	/*=========================================
	aboutus Section
	=========================================*/
	$wp_customize->add_section(
		'aboutus_setting', array(
			'title' => esc_html__( 'AboutUs Section', 'mini-golf' ),
			'priority' => 2,
			'panel' => 'minigolf_frontpage_sections',
		)
	);

	$wp_customize->add_setting('minigolf_aboutus_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new minigolf_Tab_Control($wp_customize, 'minigolf_aboutus_tabs', array(
	   'section' => 'aboutus_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'mini-golf'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'aboutus_disable_section',
				'aboutus_head_subtitle',
				'aboutus_head_title',
				'aboutus_image',
				'aboutus_image2',
				'aboutus_image2_heading',
				'aboutus_image3',
				'aboutus_image3_heading',
				'aboutus_head_description',
				'aboutus_list1number',
				'aboutus_list1text',
				'aboutus_list2number',
				'aboutus_list2text',
				'aboutus_list3number',
				'aboutus_list3text',
				'aboutus_list4number',
				'aboutus_list4text',
				'aboutus_btntext',
				'aboutus_btnlink',
				'bwp_premium_about_video_iframe'

            ),
            'active' => true,
		),
		array(
		'name' => esc_html__('Style', 'mini-golf'),
		'icon' => 'dashicons dashicons-art',
		'fields' => array(
			'aboutus_headsubtitlecolor',
			'aboutus_headtitlecolor',
			'aboutus_headdescriptioncolor',
			'aboutus_imageheadingcolor',
			'aboutus_imageheadingbgcolor',
			'aboutus_descriptioncolor',
			'aboutus_listheadingcolor',
			'aboutus_listdescriptioncolor',
			'aboutus_buttoncolor',
			'aboutus_buttonhvrcolor'
		),
     	)
    	),
	))); 


	// hide show aboutus section
	$wp_customize->add_setting(
        'aboutus_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new minigolf_Toggle_Switch_Custom_Control(
            $wp_customize,
            'aboutus_disable_section',
            array(
                'settings'      => 'aboutus_disable_section',
                'section'       => 'aboutus_setting',
                'label'         => __( 'Disable Section', 'mini-golf' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'mini-golf' ),
                    'off' => __( 'No', 'mini-golf' )
                ),
            )
        )
    );

	// aboutus_head_subtitle
	$wp_customize->add_setting(
    	'aboutus_head_subtitle',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_head_subtitle',
		array(
		    'label'   		=> __('Head Sub Title','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_head_title
	$wp_customize->add_setting(
    	'aboutus_head_title',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_head_title',
		array(
		    'label'   		=> __('Head Title','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_image
	$wp_customize->add_setting(
    	'aboutus_image',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_image',
	        array(
			    'label'   		=> __('Image 1','mini-golf'),
				'description'=> __('Image Size Should Be 800*533','mini-golf'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_image'
	        )
	    )
	);

	// aboutus_image2
	$wp_customize->add_setting(
    	'aboutus_image2',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_image2',
	        array(
			    'label'   		=> __('Image 2','mini-golf'),
				'description'=> __('Image Size Should Be 600*400','mini-golf'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_image2'
	        )
	    )
	);

	// aboutus_image2_heading
	$wp_customize->add_setting(
    	'aboutus_image2_heading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_image2_heading',
		array(
		    'label'   		=> __('Image 2 Heading','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_image3
	$wp_customize->add_setting(
    	'aboutus_image3',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_image3',
	        array(
			    'label'   		=> __('Image 3','mini-golf'),
				'description'=> __('Image Size Should Be 600*400','mini-golf'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_image3'
	        )
	    )
	);

	// aboutus_image3_heading
	$wp_customize->add_setting(
    	'aboutus_image3_heading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_image3_heading',
		array(
		    'label'   		=> __('Image 3 Heading','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_head_description
	$wp_customize->add_setting(
    	'aboutus_head_description',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_head_description',
		array(
		    'label'   		=> __('Head Description','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list1number
	$wp_customize->add_setting(
    	'aboutus_list1number',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list1number',
		array(
		    'label'   		=> __('List 1 Number','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list1text
	$wp_customize->add_setting(
    	'aboutus_list1text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list1text',
		array(
		    'label'   		=> __('List 1 Text','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list2number
	$wp_customize->add_setting(
    	'aboutus_list2number',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list2number',
		array(
		    'label'   		=> __('List 2 Number','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list2text
	$wp_customize->add_setting(
    	'aboutus_list2text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list2text',
		array(
		    'label'   		=> __('List 2 Text','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list3number
	$wp_customize->add_setting(
    	'aboutus_list3number',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list3number',
		array(
		    'label'   		=> __('List 3 Number','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list3text
	$wp_customize->add_setting(
    	'aboutus_list3text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list3text',
		array(
		    'label'   		=> __('List 3 Text','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list4number
	$wp_customize->add_setting(
    	'aboutus_list4number',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list4number',
		array(
		    'label'   		=> __('List 4 Number','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus_list4text
	$wp_customize->add_setting(
    	'aboutus_list4text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list4text',
		array(
		    'label'   		=> __('List 4 Text','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus_btntext
	$wp_customize->add_setting(
    	'aboutus_btntext',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btntext',
		array(
		    'label'   		=> __('Button Text','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// Video link setting
	$wp_customize->add_setting(
    'bwp_premium_about_video_iframe',
    array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw', //
        'transport'         => 'refresh',
    )
	);

	// Control
	$wp_customize->add_control(
	    'bwp_premium_about_video_iframe',
	    array(
	        'label'    => __('Video URL', 'mini-golf'),
	        'section'  => 'aboutus_setting',
	        'type'     => 'url', //
	    )
	);
	
	
	//style


	// aboutus headsubtitle Color
	$aboutusheadsubtitlecolor = esc_html__('#d4af37', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_headsubtitlecolor',
    	array(
			'default' => $aboutusheadsubtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_headsubtitlecolor',
		array(
		    'label'   		=> __('Sub Title Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus headtitle Color
	$aboutusheadtitlecolor = esc_html__('#0c0c0c', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_headtitlecolor',
    	array(
			'default' => $aboutusheadtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_headtitlecolor',
		array(
		    'label'   		=> __('Title Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// aboutus headdescription Color
	$aboutusheaddescriptioncolor = esc_html__('#4A5568', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_headdescriptioncolor',
    	array(
			'default' => $aboutusheaddescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_headdescriptioncolor',
		array(
		    'label'   		=> __('Description Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// aboutus imageheading Color
	$aboutusimageheadingcolor = esc_html__('#1B4332', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_imageheadingcolor',
    	array(
			'default' => $aboutusimageheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_imageheadingcolor',
		array(
		    'label'   		=> __('Image Heading Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus imageheadingbg Color
	$aboutusimageheadingbgcolor = esc_html__('#fff', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_imageheadingbgcolor',
    	array(
			'default' => $aboutusimageheadingbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)	
	);	

	$wp_customize->add_control( 
		'aboutus_imageheadingbgcolor',
		array(
		    'label'   		=> __('Image Heading BG Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus description Color
	$aboutusdescriptioncolor = esc_html__('#444', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_descriptioncolor',
    	array(
			'default' => $aboutusdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus listheading Color
	$aboutuslistheadingcolor = esc_html__('#364153', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_listheadingcolor',
    	array(
			'default' => $aboutuslistheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_listheadingcolor',
		array(
		    'label'   		=> __('List Heading Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus listdescription Color
	$aboutuslistdescriptioncolor = esc_html__('#364153', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_listdescriptioncolor',
    	array(
			'default' => $aboutuslistdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_listdescriptioncolor',
		array(
		    'label'   		=> __('List Description Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus button Color
	$aboutusbuttoncolor = esc_html__('#1B4332', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_buttoncolor',
    	array(
			'default' => $aboutusbuttoncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_buttoncolor',
		array(
		    'label'   		=> __('Button Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus buttonhvr Color
	$aboutusbuttonhvrcolor = esc_html__('#d4af37', 'mini-golf' );
	$wp_customize->add_setting(
    	'aboutus_buttonhvrcolor',
    	array(
			'default' => $aboutusbuttonhvrcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_buttonhvrcolor',
		array(
		    'label'   		=> __('Button Hover Color','mini-golf'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	
	/*=========================================
	ourcourses Section
	=========================================*/
	$wp_customize->add_section(
		'ourcourses_setting', array(
			'title' => esc_html__( 'Our Courses Section', 'mini-golf' ),
			'priority' => 2,
			'panel' => 'minigolf_frontpage_sections',
		)
	);
	

	$wp_customize->add_setting('minigolf_ourcourses_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new minigolf_Tab_Control($wp_customize, 'minigolf_ourcourses_tabs', array(
	   'section' => 'ourcourses_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'mini-golf'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'ourcourses_disable_section',
				'ourcourses_subtitle',
				'ourcourses_title',
				'ourcourses_description',
            	'ourcourses1',
				'ourcourses_partext_courses1',
				'ourcourses_lengthtext_courses1',
				'ourcourses_designertext_courses1',
            	'ourcourses2',
				'ourcourses_partext_courses2',
				'ourcourses_lengthtext_courses2',
				'ourcourses_designertext_courses2',
            	'ourcourses3',
				'ourcourses_partext_courses3',
				'ourcourses_lengthtext_courses3',
				'ourcourses_designertext_courses3'
            ),
            'active' => true,
         ),
	      array(
            'name' => esc_html__('Style', 'mini-golf'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
            	'ourcourses_subheadingcolor',
            	'ourcourses_headingcolor',
				'ourcourses_descriptioncolor',
				'ourcourses_boxtitlecolor',
				'ourcourses_detailsheadingcolor',
				'ourcourses_detailsdescriptioncolor',
				'ourcourses_boxdescriptioncolor',
				'ourcourses_boxbordercolor',
				'ourcourses_learnmorebtncolor',
				'ourcourses_imgiconcolor',
				'ourcourses_imgiconbgcolor',
				'ourcourses_bgcolor'

            ),
     	)
	    
    	),
	))); 



	// General

	// hide show ourcourses section
	$wp_customize->add_setting(
        'ourcourses_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new minigolf_Toggle_Switch_Custom_Control(
            $wp_customize,
            'ourcourses_disable_section',
            array(
                'settings'      => 'ourcourses_disable_section',
                'section'       => 'ourcourses_setting',
                'label'         => __( 'Disable Section', 'mini-golf' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'mini-golf' ),
                    'off' => __( 'No', 'mini-golf' )
                ),
            )
        )
    );

	// ourcourses_subtitle
	$wp_customize->add_setting(
		'ourcourses_subtitle',
		array(
			'default' => 'Signature Courses',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_subtitle',
		array(
			'label'   		=> __('Sub Title','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses_title
	$wp_customize->add_setting(
		'ourcourses_title',
		array(
			'default' => 'Three World-Class',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_title',
		array(
			'label'   		=> __('Title','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses_description
	$wp_customize->add_setting(
		'ourcourses_description',
		array(
			'default' => 'Championship Experiences',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_description',
		array(
			'label'   		=> __('Description','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses 1
	$wp_customize->add_setting( 
    	'ourcourses1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses1',
		array(
		    'label'   		=> __('Our Courses 1','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// ourcourses_partext_courses1
	$wp_customize->add_setting(
		'ourcourses_partext_courses1',
		array(
			'default' => 'Par 72',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_partext_courses1',
		array(
			'label'   		=> __('Our Courses 1 PAR Text','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses_lengthtext_courses1
	$wp_customize->add_setting(
		'ourcourses_lengthtext_courses1',
		array(
			'default' => '7,245 yards',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_lengthtext_courses1',
		array(
			'label'   		=> __('Our Courses 1 LENGTH Text','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);
	
	// ourcourses_designertext_courses1
	$wp_customize->add_setting(
		'ourcourses_designertext_courses1',
		array(
			'default' => 'Tom Fazio',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_designertext_courses1',
		array(
			'label'   		=> __('Our Courses 1 DESIGNER Text','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses 2
	$wp_customize->add_setting(
    	'ourcourses2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses2',
		array(
		    'label'   		=> __('Our Courses 2','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses_partext_courses2
	$wp_customize->add_setting(
		'ourcourses_partext_courses2',
		array(
			'default' => 'Par 72',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_partext_courses2',
		array(
			'label'   		=> __('Our Courses 2 PAR Text','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses_lengthtext_courses2
	$wp_customize->add_setting(
		'ourcourses_lengthtext_courses2',
		array(
			'default' => '7,245 yards',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_lengthtext_courses2',
		array(
			'label'   		=> __('Our Courses 2 LENGTH Text','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);
	
	// ourcourses_designertext_courses2
	$wp_customize->add_setting(
		'ourcourses_designertext_courses2',
		array(
			'default' => 'Tom Fazio',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_designertext_courses2',
		array(
			'label'   		=> __('Our Courses 2 DESIGNER Text','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses 3
	$wp_customize->add_setting(
    	'ourcourses3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses3',
		array(
		    'label'   		=> __('Our Courses 3','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses_partext_courses3
	$wp_customize->add_setting(
		'ourcourses_partext_courses3',
		array(
			'default' => 'Par 72',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_partext_courses3',
		array(
			'label'   		=> __('Our Courses 3 PAR Text','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourcourses_lengthtext_courses3
	$wp_customize->add_setting(
		'ourcourses_lengthtext_courses3',
		array(
			'default' => '7,245 yards',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_lengthtext_courses3',
		array(
			'label'   		=> __('Our Courses 3 LENGTH Text','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);
	
	// ourcourses_designertext_courses3
	$wp_customize->add_setting(
		'ourcourses_designertext_courses3',
		array(
			'default' => 'Tom Fazio',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_designertext_courses3',
		array(
			'label'   		=> __('Our Courses 3 DESIGNER Text','mini-golf'),
			'section'		=> 'ourcourses_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	

	// style

	// ourcourses subheading color
	$ourcoursessubheadingcolor = esc_html__('#d4af37', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_subheadingcolor',
    	array(
			'default' => $ourcoursessubheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_subheadingcolor',
		array(
		    'label'   		=> __('Sub Heading Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses heading color
	$ourcoursesheadingcolor = esc_html__('#fff', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_headingcolor',
    	array(
			'default' => $ourcoursesheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_headingcolor',
		array(
		    'label'   		=> __('Heading Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses description color
	$ourcoursesdescriptioncolor = esc_html__('#D4AF37', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_descriptioncolor',
    	array(
			'default' => $ourcoursesdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses boxtitle color
	$ourcoursesboxtitlecolor = esc_html__('#fff', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_boxtitlecolor',
    	array(
			'default' => $ourcoursesboxtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_boxtitlecolor',
		array(
		    'label'   		=> __('Box Title Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses detailsheading color
	$ourcoursesdetailsheadingcolor = esc_html__('#d4af37', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_detailsheadingcolor',
    	array(
			'default' => $ourcoursesdetailsheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_detailsheadingcolor',
		array(
		    'label'   		=> __('Box Details Heading Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses detailsdescription color
	$ourcoursesdetailsdescriptioncolor = esc_html__('#fff', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_detailsdescriptioncolor',
    	array(
			'default' => $ourcoursesdetailsdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_detailsdescriptioncolor',
		array(
		    'label'   		=> __('Box Details Description Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses boxdescription color
	$ourcoursesboxdescriptioncolor = esc_html__('#fff', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_boxdescriptioncolor',
    	array(
			'default' => $ourcoursesboxdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_boxdescriptioncolor',
		array(
		    'label'   		=> __('Box Description Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses boxborder color
	$ourcoursesboxbordercolor = esc_html__('#d4af37', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_boxbordercolor',
    	array(
			'default' => $ourcoursesboxbordercolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_boxbordercolor',
		array(
		    'label'   		=> __('Box Border Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses learnmorebtn color
	$ourcourseslearnmorebtncolor = esc_html__('#d4af37', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_learnmorebtncolor',
    	array(
			'default' => $ourcourseslearnmorebtncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_learnmorebtncolor',
		array(
		    'label'   		=> __('Explore Course Button Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses imgicon color
	$ourcoursesimgiconcolor = esc_html__('#1B4332', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_imgiconcolor',
    	array(
			'default' => $ourcoursesimgiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_imgiconcolor',
		array(
		    'label'   		=> __('Image Number Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses imgiconbg color
	$ourcoursesimgiconbgcolor = esc_html__('#d4af37', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_imgiconbgcolor',
    	array(
			'default' => $ourcoursesimgiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_imgiconbgcolor',
		array(
		    'label'   		=> __('Image Number BG Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourcourses bg color
	$ourcoursesbgcolor = esc_html__('#1B4332', 'mini-golf' );
	$wp_customize->add_setting(
    	'ourcourses_bgcolor',
    	array(
			'default' => $ourcoursesbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourcourses_bgcolor',
		array(
		    'label'   		=> __('BG Color','mini-golf'),
		    'section'		=> 'ourcourses_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);



	
	$wp_customize->register_control_type('minigolf_Tab_Control');

}

add_action( 'customize_register', 'minigolf_blog_setting' );

// feature selective refresh
function minigolf_blog_section_partials( $wp_customize ){	
	// blog_title
	$wp_customize->selective_refresh->add_partial( 'blog_title', array(
		'selector'            => '.home-blog .title h6',
		'settings'            => 'blog_title',
		'render_callback'  => 'minigolf_blog_title_render_callback',
	
	) );
	
	// blog_subtitle
	$wp_customize->selective_refresh->add_partial( 'blog_subtitle', array(
		'selector'            => '.home-blog .title h2',
		'settings'            => 'blog_subtitle',
		'render_callback'  => 'minigolf_blog_subtitle_render_callback',
	
	) );
	
	// blog_description
	$wp_customize->selective_refresh->add_partial( 'blog_description', array(
		'selector'            => '.home-blog .title p',
		'settings'            => 'blog_description',
		'render_callback'  => 'minigolf_blog_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'minigolf_blog_section_partials' );

// blog_title
function minigolf_blog_title_render_callback() {
	return get_theme_mod( 'blog_title' );
}

// blog_subtitle
function minigolf_blog_subtitle_render_callback() {
	return get_theme_mod( 'blog_subtitle' );
}

// feature description
function minigolf_blog_description_render_callback() {
	return get_theme_mod( 'blog_description' );
}


